AppTitle "BlitzSky Demo"

Graphics3D 800,600,32,2

Global BS_Screenwidth%=GraphicsWidth()
Global BS_Screenheight%=GraphicsHeight()
Global BS_Scale=32768

Include "blitzsky.bb"

BS_InitBlitzSky()

dummy=CreateSphere(32)
ScaleEntity dummy,128,128,128


; -----------------------------------------------------------------------------------------------
; Main Loop
; -----------------------------------------------------------------------------------------------
While Not KeyHit(1)
	
	Local BS_FrameElapsed%,BS_FrameTicks%,BS_FrameTween#,t%
	
	Repeat BS_FrameElapsed=MilliSecs()-BS_FrameTime Until BS_FrameElapsed
	BS_FrameTicks=BS_FrameElapsed/BS_FramePeriod
	BS_FrameTween=Float(BS_FrameElapsed Mod BS_FramePeriod)/Float(BS_FramePeriod)
	
	For t=1 To BS_FrameTicks
		
		; Update World
		BS_UpdateBlitzSky()
		
		BS_FrameTime=BS_FrameTime+BS_FramePeriod
		If t=BS_FrameTicks Then CaptureWorld
		
		BS_FreeCam()
		UpdateWorld
		
		; Update Pivots
		BS_UpdatePositions()
		
	Next
	
	; tweened render
	RenderWorld BS_FrameTween
	
	; Infotext
	If BS_ShowInformation Then BS_UpdateInfos()
	If BS_ShowHelp Then BS_DrawHelp()
	
	; Draw FPS digits
	BS_UpdateFPS()
	
	; Save Screenshot
	If BS_SaveScreenshot=True Then SaveBuffer (BackBuffer(),Replace(CurrentDate()+" "+CurrentTime()+".bmp",":",""))
	
	Flip 0
	
	; get current FPS value
	FPS=BS_GetFPS()
	
Wend

End
;~IDEal Editor Parameters:
;~C#Blitz3D